unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, DB, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids, DBGrids, ZConnection, ZDataset;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    StringGrid1: TStringGrid;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    ZTable1: TZTable;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

uses
  LConvEncoding;

{$R *.lfm}

{ TForm1 }



procedure TForm1.Button1Click(Sender: TObject);
var
  I: longint;
  SQLBefehl: string;
begin
  ZConnection1.disconnect;
  ZConnection1.Protocol := 'sqlite-3';
  ZConnection1.Database := ExtractFilePath(ParamStr(0)) + 'Artikelstamm.sqlite';
  ZConnection1.Properties.Add('synchronous=0');
  ZConnection1.Properties.Add('locking_mode=EXCLUSIVE');
  Form1.ZConnection1.Properties.Add('Codepage=utf8');
  Form1.ztable1.TableName := 'artikelstamm';
  Form1.ztable1.connection := Form1.ZConnection1;
  Form1.ztable1.Active := True;
  Form1.ZQuery1.SQL.Text := 'Delete from artikelstamm';
  Form1.ZQuery1.ExecSQL;
  Form1.ztable1.refresh;
  //*
  Form1.StringGrid1.Clear;
  Form1.StringGrid1.LoadFromCSVFile(ExtractFilePath(ParamStr(0)) +
    'liste.csv', ';', False, 0, True);
  Form1.stringgrid1.AutoSizeColumns;
  for i := 0 to Form1.stringgrid1.rowCount - 1 do
  begin
    SQLBefehl :=
      'INSERT INTO artikelstamm (beschreibu) VALUES (';
    SQLBefehl := SQLBefehl + chr(39) + Form1.stringgrid1.cells[0, i] + chr(39) + ')';

    Form1.ZQuery1.SQL.Text := SQLBefehL;
    Form1.ZQuery1.ExecSQL;
  end;
  Form1.ztable1.refresh;
end;

end.



